Name:      amavisd-new
Version:   2.3.3
Release:   2tr
Summary:   AMaViSd-new - A Mail Virus Scanner
URL:       http://www.ijs.si/software/amavisd/
License:   GPL
Group:     Trustix Official
Source0:   http://www.ijs.si/software/amavisd/%{name}-%{version}.tar.gz
Source1:   amavisd.init
Source2:   amavisd.conf
Source3:   amavisd.cron
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires: smtpdaemon
Requires: spamassassin
Requires: bzip2
Requires: file
Requires: perl
Requires: perl-archive-tar
Requires: perl-archive-zip >= 1.0
Requires: perl-berkeleydb
Requires: perl-compress-zlib
Requires: perl-convert-tnef >= 0.06
Requires: perl-convert-uulib
Requires: perl-digest-perl-md5
Requires: perl-io-multiplex
Requires: perl-io-socket-ssl
Requires: perl-io-stringy
Requires: perl-io-zlib
Requires: perl-mailtools
Requires: perl-mime-tools >= 6.200
Requires: perl-net-server
Requires: perl-unix-syslog
Requires: crond
Requires: tmpwatch

PreReq: %{name}-config

# May also be used.
#Requires: lha >= 1.14g, unarj, unrar, zoo, uncompress

%define user_name  amavis
%define user_id    257
%define group_name amavis
%define group_id   257


%description
AMaViS is a script that interfaces a mail transport agent (MTA) with
one or more virus scanners.
  
This version is a big change from the 0.2.x series of the software and 
from the second generation amavisd-perl-11 as the main virus scanning 
script now run as a Perl daemon (amavisd) that communicates with the 
MTA through sockets and a small, compact client program. Amavisd-new 
further includes an interface to SpamAssassin.

%package config
Summary: config file for AMaViSd-new
Group: Trustix Official
PreReq: /usr/sbin/groupadd /usr/sbin/useradd /dev/null

%description config
config file for AMaViSd-new

%prep
%setup -q -n %{name}-%{version}
perl -pi -e 's|/var/amavis|/var/spool/amavis|' amavisd
perl -pi -e 's|/var/amavis|/var/spool/amavis|' amavisd-release

%build
# --enable-all includes support for all virus scanners, 
# not only for those installed (i.e. antivir)

# build might need the user/group
if ! getent group %{group_name} >/dev/null; then
    /usr/sbin/groupadd -g %{group_id} %{group_name}
fi
if ! getent passwd %{user_name} >/dev/null ; then
    /usr/sbin/useradd -d /var/lib/amavisd -g %{group_name} -s /bin/false \
                      -u %{user_id} %{user_name}
fi


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

# Create the runtime_dir and virusdir dirs so make install
# does not insist on creating and chownd/chgrp them
install -d -m 0700 $RPM_BUILD_ROOT/var/spool/amavis
install -d -m 0700 $RPM_BUILD_ROOT/var/spool/amavis/db
install -d -m 0700 $RPM_BUILD_ROOT/var/spool/amavis/tmp
install -d -m 0700 $RPM_BUILD_ROOT/var/spool/amavis/virusmails
install -d -m 0755 $RPM_BUILD_ROOT/usr/sbin

install -d -m 0755 $RPM_BUILD_ROOT/etc/init.d
install -d -m 0755 $RPM_BUILD_ROOT/etc/cron.daily
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/amavisd
install -m 0640 %{SOURCE2} $RPM_BUILD_ROOT/etc/amavisd.conf
install -m 0755 %{SOURCE3} $RPM_BUILD_ROOT/etc/cron.daily/amavisd
install -m 0755 amavisd $RPM_BUILD_ROOT/usr/sbin/amavisd
#install -m 0755 amavisdconf $RPM_BUILD_ROOT/usr/sbin/
install -m 0755 amavisd-release $RPM_BUILD_ROOT/usr/sbin/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%pre config
# build might need the user/group
if ! getent group %{group_name} >/dev/null; then
    /usr/sbin/groupadd -g %{group_id} %{group_name}
fi
if ! getent passwd %{user_name} >/dev/null ; then
    /usr/sbin/useradd -d /var/lib/amavisd -g %{group_name} -s /bin/false \
                      -u %{user_id} %{user_name}
fi

%post
chkconfig --add amavisd
if ! egrep -q "^virusalert:" /etc/postfix/aliases; then
    echo "virusalert: root" >> /etc/postfix/aliases
fi                                
if [ "$1" = "2" ]; then
    /sbin/restart_maybe amavisd >/dev/null 2>&1
fi

%preun
if [ "$1" = 0 ] ; then
    /sbin/service amavisd stop >/dev/null 2>&1
    /sbin/chkconfig --del amavisd >/dev/null 2>&1
fi


%files
%defattr(-,root,root,0755)
%doc AAAREADME.first INSTALL LICENSE MANIFEST README_FILES RELEASE_NOTES
%doc test-messages LDAP.schema TODO
%defattr(755,root,root,0755)
/etc/init.d/amavisd
/usr/sbin/amavisd
/usr/sbin/amavisd-release
#/usr/sbin/amavisdconf
%defattr(700,amavis,root,0755)
/var/spool/amavis

%files config
%defattr(-,root,root,0755)
%config(noreplace) /etc/cron.daily/amavisd
%attr(640,root,amavis) %config(noreplace) /etc/amavisd.conf


%changelog
* Mon Aug 28 2006 Bipin S <bipin at trustix dot org> 2.3.3-2tr
- Included amavisd-release. Bug #1897.

* Thu Nov 17 2005 Bipin S <bipin at trustix dot org> 2.3.3-1tr
- New Upstream

* Wed May 11 2005 Ajith Thampi <ajith at comodo dot com> 2.3.1-1tr
- New Upstream		

* Wed Apr 20 2005 Ajith Thampi <ajith at comodo dot com> 2.2.1-4tr
- Changed to new init priority

* Tue Mar 15 2005 Bipin S <bipin at comodo dot com> 2.2.1-3tr
- Rebuilt

* Fri Feb 18 2005 Raghu <raghu at comodo dot com> 2.2.1-1tr
- New Upstream

* Wed Dec  8 2004 Erlend Midttun <erlendbm at trustix dot org> 2.2.0-7tr
- Now even prereq what we need.

* Fri Nov 26 2004 Erlend Midttun <erlendbm at trustix dot org> 2.2.0-6tr
- Now create user/group in -conf instead.

* Wed Nov 17 2004 Erlend Midttun <erlendbm at trustix dot org> 2.2.0-5tr
- Add tmpwatch of the virusmails directory.

* Wed Nov 17 2004 Erlend Midttun <erlendbm at trustix dot org> 2.2.0-4tr
- Do not run newaliases as it fails.
- Now run chkconfig --add

* Sat Nov  6 2004 Erlend Midttun <erlendbm at trustix dot org> 2.2.0-3tr
- Now also have db and tmp

* Fri Nov  5 2004 Erlend Midttun <erlendbm at trustix dot org> 2.2.0-1tr
- New upstream.

* Sun Oct 24 2004 Erlend Midttun <erlendbm at trustix dot org> 2.1.2-1tr
- New upstream.
- New versioning scheme.

* Mon Oct 18 2004 Erlend Midttun <erlendbm at trustix dot org> 20040906-3tr
- No longer run newaliases in %post as it messes up during install.

* Mon Oct 04 2004 Syed Shabir <syedshabir at comodo dot com> 20040906-1tr
- New Upstream

* Mon Mar  8 2004 Chr. Toldnes <christht at trustix dot org>
- Rebuilt for TSL 2.1

* Fri Feb 27 2004 Goetz Bock <bg at trustix dot org> 20030616-p7-5bg
- fixed user/group setup

* Fri Feb 13 2004 Gerald Dachs <gda at trustix dot org> 20030616-p7-4gd
- add now group amavis instead of amavi
- changed buildarch to noarch

* Sat Jan 31 2004 Erlend Midttun <erlendbm at trustix dot org>
- Now depend on smtpdaemon as opposed to postfix
- Now be silent when creating user/group.

* Fri Jan 30 2004 Erlend Midttun <erlendbm at trustix dot org>
- No longer overwrite our custom config with default.

* Fri Jan 30 2004 Erlend Midttun <erlendbm at trustix dot org>
- Adapted for Trustix Contrib.

* Tue Jul 22 2003 Ralf Spenneberg <ralf@spenneberg.net>
- Updated to 20030616

* Fri Apr 04 2003 Ralf Spenneberg <ralf@spenneberg.net>
- Changed to Amavisd-new

* Sat Jul 20 2002 Ramiro Morales <rm-rpms@gmx.net>
- Update Archive::Zip dependency to >= 1.0 as per README

* Thu Jul 18 2002 Ramiro Morales <rm-rpms@gmx.net>
- Starting from this snapshot, the user amavisd run as changed 
  upstream from vscan to amavis. Impement this change in the package 
  as well so the it can be upgraded fom previous versions
- Drop artificial and unnecessary requeriment to create a vscan/amavis
  user on the build system (great!)
- Managed to update the Gregory Ade's file blacklist patch so it 
  applies to this snapshot

* Thu Jul 18 2002 Ramiro Morales <rm-rpms@gmx.net>
- Update to 20020531 snapshot

* Thu Jul 18 2002 Ramiro Morales <rm-rpms@gmx.net>
- Send error messages generated at %%install package building
  stage to stdout rather than to syslog
- File blacklist patch: Fix extra $hostname macro in admin notif template

* Tue Jul 16 2002 Ramiro Morales <rm-rpms@gmx.net>
- Incorporate a slightly modified version of the file blacklist 
  patch by Gregory Ade <gkade@bigbrother.net> giving the choice to 
  decide it's application at build time by using the rpm command line

* Mon Jul 15 2002 Ramiro Morales <rm-rpms@gmx.net>
- Update to 20020300 snapshot
- Don't force a specific UID for the vscan user in the user's system 
  as rpm can handle file/dir ownership by name at install time
- Edit my e-mail address in the SysV initscript
- Add whinge macro definition, I had forgot it for several releases :-(
  motivated by an e-mail from Johannes Puschmann <puschl@puschl.at>
- Make the package buildable by a non-root user (the only operation 
  left that is not directly doable by a non-root user is the creation 
  of the vscan user on the build system, it can be performed by 
  running the provided create-vscan-user.sh script)

* Sun Jul 14 2002 Ramiro Morales <rm-rpms@gmx.net>
- Update to 20020220 snapshot.
  - Drop the QUARANTINEDIR patch as it was already applied upstream
  - Drop the mailtobug and tainttempdir patches as similar patches were 
    already applied upstream
  - amavisd.conf: Don't add deprecated $virusbackup option anymore
  - Don't replace NAI uvscan-specific vars anymore (NAI v3.x support
    was dropped upstream)
- Change method to enable the test suite from rpm command-line and 
  use %%{_tmppath} when running it

* Sun Jul 14 2002 Ramiro Morales <rm-rpms@gmx.net>
- Change my e-mail address
- Don't blindy touch vscan user data on every build and when 
  upgrading the package unless it's really necessary
- Use a more generic method of detecting vscan user administrative data
- specfile: Use %$RPM_BUILD_ROOT instead of $RPM_BUILD_ROOT
- specfile: Use %%{SOURCEn} instead of $RPM_SOURCE_DIR/whatever

* Wed Nov 14 2001 Ramiro Morales <rmrpms@usa.net>
- Use the official patch for the $QUARANTINE{,DIR}/$virusbackup issue 
- Make possible to request the execution of the test suite at
  build stage time
- First try to solve the taint problem when running parse_decode()

* Tue Nov 13 2001 Ramiro Morales <rmrpms@usa.net>
- Update to 20011031 snapshot.
- For use wtih Postfix we don't need to specify --enable-smtp anymore 
  to ./configure
- More specfile tweaks.
- Fix doc dir perms

* Wed Oct 24 2001 Ramiro Morales <rmrpms@usa.net>
- specfile tweaks

* Sun Oct 21 2001 Ramiro Morales <rmrpms@usa.net>
- %%instal section: install things under BuildRoot.
- Create initscript.
- Include Postix specific documentation.
- Create vscan user on builder/final user system.

* Wed Sep 26 2001 Ramiro Morales <rmrpms@usa.net>
- Build on RHL 6.2, first attempt based in SuSE package.

* Sat Jul 14 2001 - link@suse.de

- updated to amavisd-snapshot-20010714
- applied the usual parsing patch for H+BEDV (supports
  German output, too)


-------------------------------------------------------------------
Fri Jun 22 2001 - link@suse.de

- updated to CVS version 20010622
- applied the usual parsing patch for H+BEDV (supports
  German output, too)

-------------------------------------------------------------------
Tue Apr 10 2001 - link@suse.de

- minor changes in spec file
- fixed the antivir output parsing to get the names
  of found viruses - should now work with german and
  english version of antivir
